Loading...
Searching...
No Matches
dolfin::X3DOM Class Reference

`#include <X3DOM.h>`

## Static Public Member Functions

static std::string | str (const Mesh &mesh, X3DOMParameters parameters=X3DOMParameters())
| Return X3D string for a Mesh.
static std::string | str (const Function &u, X3DOMParameters parameters=X3DOMParameters())
| Return X3D string for a Function.
static std::string | html (const Mesh &mesh, X3DOMParameters parameters=X3DOMParameters())
| Return HTML5 string with embedded X3D for a Mesh.
static std::string | html (const Function &u, X3DOMParameters parameters=X3DOMParameters())
| Return HTML5 string with embedded X3D for a Function.
static void | build_x3dom_tree (pugi::xml_document &xml_doc, const Mesh &mesh, const X3DOMParameters &parameters=X3DOMParameters())
| Build X3DOM pugixml tree for a Mesh.
static void | build_x3dom_tree (pugi::xml_document &xml_doc, const Function &u, const X3DOMParameters &parameters=X3DOMParameters())
| Build X3DOM pugixml tree for a Function.

## Detailed Description

This class implements output of meshes to X3DOM XML or HTML5 with X3DOM strings. The latter can be used for interactive visualisation

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/X3DOM.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/X3DOM.cpp